algorithm.hpp File Reference

Generic algorithms on sequences. More...

`#include <claw/impl/algorithm.tpp>`

Go to the source code of this file.

## Namespaces

namespace | claw
| This is the main namespace.

## Functions

template<typename InputIterator, typename UnaryFunction>
UnaryFunction | claw::inplace_for_each (InputIterator first, InputIterator last, UnaryFunction f)
template<typename ForwardIterator1, typename ForwardIterator2>
ForwardIterator1 | claw::find_first_not_of (ForwardIterator1 first1, ForwardIterator1 last1, ForwardIterator2 first2, ForwardIterator2 last2)
template<typename ForwardIterator1, typename ForwardIterator2, typename ForwardIterator3>
std::size_t | claw::replace (ForwardIterator1 first, ForwardIterator1 last, ForwardIterator2 e1_first, ForwardIterator2 e1_last, ForwardIterator3 e2_first, ForwardIterator3 e2_last)

## Detailed Description

Generic algorithms on sequences.

Author
  Julien Jorge

Definition in file algorithm.hpp.